Overblog
Editer l'article Suivre ce blog Administration + Créer mon blog
2 novembre 2016 3 02 /11 /novembre /2016 00:19
 
First, don't forget to change your APT sources.list as required.
Then, just do apt-get update && upgrade.
(not the dist-upgrade yet, less potential trouble for now).
 
Main urgencies, for messaging services, are MTA and security filters. Manually upgrade ClamAV, SpamAssassin, and your MTA (on my side, Exim).
You should see that ClamAV's engine is being upgraded, yaha!
Check that your MTA still works.
 
Now, you may experience lower antispam filtering efficiency... (as it happened to me). But no real daemons crash or errors in a loop.
Running sa-update may not even give you any error... but...
 
You may also see DKIM validation errors by your MTA, for senders that are known to be quite clean about that, for instance GMail.
 
Well, first thing I recommend then is to run Spamassassin in command line, debug mode on.
You are likely gonna see missing Perl modules...! (eg: DKIM)
if you see that dns is not available, don't worry, that's supposed to be regular for command line use of Spamassassin.
 
Do the same, meaning running in command line with debug mode on, for sa-update.
The same, you are likely to see missing Perl modules!
 
If you try to install them one by one, using CPAN command line, well... after 1 hour, tens of modules manually installed because of dependencies, you will probably end up in dead-ends, with strange compilation errors, missing modules, etc.
 
The solution: upgrade your whole CPAN first!
Be ready to be patient, it took me more than 45 min... with  numerous prompts to be validated on the fly (so you can't just go away and have a coffee, I recommend you to read the warnings/questions :) ).
Tens of modules to be upgraded/installed because of dependencies. The next guy that tells me Windows only is a mess in the IT world, I'll have him work on CPAN for 1 day long, then we'll discuss again about IT!
 
Anyway, some missing modules for your Spamassassin are gonna be installed/fixed. Manually install the remaining ones if needed.
 
[EDIT] BTW, you may need to run the CPAN upgrade command twice, because while CPAN tries to install missing dependencies, it seems (in my case at least) that it leaves the installation with errors at the end. Running the upgrade command again aims to install still missing dependencies, and then upgrade modules that need to! Wow...

Hope this helps.
 

Partager cet article

Repost0

commentaires